# -*- coding: utf-8 -*-
from __future__ import absolute_import

import math


def discountPrice(price, rate):
    if rate == 0:
        return price
    else:
        return int(math.ceil((price - price * (float(rate) * 0.01)) / 100) * 100)

def excludeTaxPrice(supply_price):
    return int(math.ceil(supply_price / 1.1))